import request from '@/utils/request';

// 查询列表
export function listkpiFillingRewardsKpi(query) {
  return request({
    url: '/teacher/kpiFillingRewardsKpi/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query
  })
}
//个人填报-超工作量奖励绩效  新增
export function kpiFillingRewardsKpiAdd(data) {
  return request({
    url: '/teacher/kpiFillingRewardsKpi/add',
    method: 'post',
    data: data
  })
}
//个人填报-超工作量奖励绩效  修改
export function kpiFillingRewardsKpiUpdate(data) {
  return request({
    url: '/teacher/kpiFillingRewardsKpi/update',
    method: 'post',
    data: data
  })
}
//个人填报-超工作量奖励绩效  详情
export function kpiFillingRewardsKpiDetail(id) {
  return request({
    url: '/teacher/kpiFillingRewardsKpi/'+id,
    method: 'get',
  })
}

//个人填报-超工作量奖励绩效  删除
export function delkpiFillingRewards(id) {
  return request({
    url: '/teacher/kpiFillingRewardsKpi/'+id,
    method: 'post',
  })
}